Subject: [bug#28733] Mate Desktop

From: ng0 <[email-masked]>
Date: Thu, 2 Nov 2017 19:14:57 +0000

ng0 transcribed 60K bytes:
> I forgot to add the changes to gnu/services/desktop.scm,
> they are now included in this version.

A comment on this series:

All the "applications" work.
The service works, but I need some fresh eyes on debugging the screensaver
package (it would be super nice to have screenlocking without locking users
out (disabled for now)). Furthermore I have no experience with our
systemd replacement and how it is supposed to be integrated into
applications, given that I get messages in the syslog about my attempt and
its failed configuration, I need help:

Nov  2 07:35:40 localhost mate-session[546]: WARNING: Could not connect to ConsoleKit: Could not get owner of name 'org.freedesktop.ConsoleKit': no such name 
Nov  2 07:35:40 localhost last message repeated 3 times
Nov  2 07:40:58 localhost mate-session[546]: WARNING: Could not connect to ConsoleKit: Could not get owner of name 'org.freedesktop.ConsoleKit': no such name 
Nov  2 07:41:22 localhost mate-session[546]: WARNING: Could not connect to ConsoleKit: Could not get owner of name 'org.freedesktop.ConsoleKit': no such name 

Yep, I know it's not ConsoleKit, I modified their canonical "--enable-systemd" to
"--enable-elogind".

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org